2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	3.18.1

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix "make check" after sigc::mem_fun(pointer,func) was deprecated

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gdk_generate_extra_defs.sh: Avoid translation of documentation

	Don't let tools/extra_defs_gen/generate_defs_gdk put translated
	documentation into the gdk_signals.defs file.

2016-04-14  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC builds: Look for headers in include/gio-win32-2.0 as well

	At some point gio.h is going to include headers from there, so make sure
	that we do look for headers there.

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	CellRendererProgress:_property_renderable(): Avoid infinite loop.

	Found by clang++.

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	treeview_editable_cells demo: Catch exception from std::stoi

2016-04-14  Philipp Lenk  <fillius@2d-rp.de>

	Gtk::TreeView: Fix a crash in get_tooltip_context_path()

	* gtk/src/treeview.ccg: Don't create a temporary TreeModel::Path object.
	Its GtkTreePath is deleted twice, if gtk_tree_view_get_tooltip_context()
	returns false. Bug #760030.

	This is equivalent to commit fdbdce42f4a4405e9709f5a206c9df96c2adb6e4,
	which fixed the same issue in IconView.

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Demos, tests: Use nullptr instead of 0

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk: Use nullptr instead of 0

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk: Use nullptr instead of 0

2016-04-14  Emeric Maschino  <emeric.maschino@gmail.com>

	Widget: Use noexcept on the destructor implementation.

	To match the generated declaration.
	Bug #759263

2016-04-14  Emeric Maschino  <emeric.maschino@gmail.com>

	Menushell: Use noexcept on the destructor implementation.

	To match the generated declaration.
	Bug #759262

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Screen::get_font_options(): Really take a copy

	* gdk/src/screen.hg: The second parameter to The Cairo::FontOptions ctor
	is not take_reference, it's take_ownership. To get a copy, it shall be false.

2016-04-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ApplicationWindow: Hand-code the ctor that takes an application param

	* gtk/src/applicationwindow.[hg|ccg]: Hand-code the constructor that takes
	an application parameter. Bug #758813.

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	Slight whitespace change.

2016-04-14  Murray Cumming  <murrayc@murrayc.com>

	TreeView: _auto_store_on_cellrenderer_text_edited_numerical():

	Catch the exception from std::stod().
	This is a regression since version 3.17.80:
	https://git.gnome.org/browse/gtkmm/commit/gtk/src/treeview.hg?id=fcc0f358d17264f8956567a33471a6b52c2fc0d1
	Bug #765044 (Justinas)

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerated some gtk .defs.

2015-11-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk .defs

2015-10-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tests/object_move: Derive from Gtk::Object, test move assignment

	.gitignore: Add output files from tests
	tests/Makefile.am: Execute object_move/test on "make check".
	tests/object_move/main.cc: Derive the Derived class from Gtk::Object.
	Test move assignment. Check that the underlying C object is moved,
	and not copied.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

	Use -Wsuggest-override with --enable-warnings=fatal.

	This warning is available in g++ 5 (or at least 5.2).

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

	C++11: tests/examples: Use override keyword.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

	C++11: Stack: Use of override keyword.

2015-10-27  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Object: Use of the override keyword.

2015-09-25  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Add what's new in 3.18.

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	3.18.0

2015-09-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: gmmproc: _CLASS_GTKOBJECT(): Use = delete to make these noncopyable.

	Instead of private, unimplemented, copy constructors and operator=().

2015-09-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

	example_glarea.cc: Fix Build on Visual Studio 2013

	Apparently there is another quirk in Visual Studio 2013's C++
	support, so one must use std::vector to declare the class member, and
	then use a member initializer list to initialize it properly by the
	constructor, if not doing it one-by-one in the constructor itself.

	https://bugzilla.gnome.org/show_bug.cgi?id=754863

2015-09-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Cursor, Pixbuf, Window: Fix use of Cairo::xxx in namespace Gdk

	* gdk/src/cursor.hg:
	* gdk/src/pixbuf.[hg|ccg]:
	* gdk/src/window.hg: Replace Cairo::xxx by ::Cairo::xxx, to force the
	compiler to search in namespace Cairo, and not in namespace Gdk::Cairo.
	Bug #755061.

2015-09-16  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Object: Add dont_allow_use_in_glib_refptr_ .

	To deprecate the use of RefPtr with widgets and other Gtk::Object-derived
	classes. We could just prevent this regardless of deprecation, but
	deprecating it seems kinder in case someone has managed to do it so far.
	Bug #755048

2015-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update .gitignore

2015-09-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	TreeView, TreeViewColumn: Deprecate SlotCellData, add SlotTreeCellData

	* gtk/src/treeview.[hg|ccg]:
	* gtk/src/treeviewcolumns.[hg|ccg]:
	* gtk/gtkmm/treeview_private.cc: Deprecate typedef SlotCellData.
	Add SlotTreeCellData. Doxygen generates erroneous links when the typedef in
	TreeViewColumn has the same name as a typedef in the base class CellLayout.
	Bug #657844.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	3.17.90

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Window: Add fullscreen_on_monitor().

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Add detach_tab().

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Overlay: Add child properties.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Overlay: Add new methods.

	Add reorder_overlay() and get/set_overlay_pass_through().

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	PaperSize: Add is_ipp().

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Paned: Add get/set_wide_handle() and property.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Entry: Add grab_focus_without_selecting().

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Ignore an internals function.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk docs.xml.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk docs.xml.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs.

2015-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk .defs

2015-09-14  Murray Cumming  <murrayc@murrayc.com>

	LevelBar: Add set_orientation().

	This is just a convenience for until we can break ABI and properly
	derive from Gtk::Orientable.
	Bug #752568 (Tobias Hoffmann)

2015-09-14  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Force "install" After Builds

	This makes it easier for testing when a build fails for some reason,
	or when some modifications are done to the code.

2015-09-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Fix gtkmm3-demo Build

	We are now using GResource to bundle the data files for gtkmm3-demo, so we
	need to adjust the build process for it, and stop copying the data files as
	a result.  Also update the projects so that the added demo sources can be
	included in the build.

2015-09-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Link Also to gio-2.0.lib

	Update gtkmm-build-defines.props to link all projects to gio-2.0.lib,
	although this is mainly for the demos, which use GResource from GIO.  This
	is done as we already link to the other .lib's from GLib for all projects,
	for consistency reasons.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Speed Up Builds and Improve Debugging Experience

	Use the multiprocessor compilation option which can help to cut down build
	time bu quite a bit, and use the /d2Zi+ flag to log more useful info into
	the .pdb files.

2015-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	MSVC Builds: Support Visual Studio 2013 (and later) Only

	The latest gtkmm requires a C++-11-capable compiler to build, which means
	Visual Studio 2013 or later for sufficient C++-11 support, so we:

	-Drop the Visual Studio 2005 and 2008 projects
	-Move the Visual Studio 2010 projects to 2013 projects, as they are largely
	the same in format.
	-Update the README in MSVC_Net2013 to let people know about this situation.

	Also update the projects so that the newly-added sources are included in
	the build.

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

	3.17.80

2015-09-03  Murray Cumming  <murrayc@murrayc.com>

	Use the latest pangomm and atkmm.

	Built with the latest gmmproc.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	demowindow: Use std::cerr instead of g_warning().

	Avoiding the need to use std::string::c_str(), which seems to be
	far less necessary with C++11 now that we have functions such
	as std::sto*(). This makes it easier to find c_str() in the source
	code.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	C++11: TreeView: Use std::stod() instead of std::strtod().

	This also removes a using std::strtod() that really should not be in a header.

2015-09-01  Murray Cumming  <murrayc@murrayc.com>

	treeview demo: Use std::stoi() instead of atod() and c_str().

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	Make all destructors explicitly noexcept. This is possibly foolish because it is already the default for destructors, but this makes it clearer to me.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	_CLASS_GTKOBJECT: Make the move operations noexcept.

2015-08-31  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_GTKOBJECT(): Make the destructor explicitly noexcept.

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

	Point: Add copy and move operations.

	We must have been using the default-generated copy operations
	until now. And we could use the default-generated move operations too.
	But being explicit makes it easier to maintain ABI.

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: TimeCoord: Add move operations.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Require the latest glibmm.

	To use the latest gmmproc, which generates more move operations,
	and to have the latest Glib::Object/ObjectBase/Interface which have
	move operations that those generated move operations call.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	Add simple test for Gtk::Object move operations.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Mark all _CLASS_OPAQUE_REFCOUNTED classes as final.

	Because _CLASS_OPAQUE_REFCOUNTED already generates a comment
	telling us not to derive from them, presumably because they can
	only be instantiated by reinterpret_cast<>ing a base C struct.

	Ideally, _CLASS_OPAQUE_REFCOUNTED would add the final keyword,
	but the class line is is not generated, so that would be a little
	difficult.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	gmmproc: _CLASS_GTKOBJECT(): Add move operations.

	As in _CLASS_GOBJECT().

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Object: Add move operations.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	SpinButton: Remove unnecessary _IMPLEMENTS_INTERFACE().

	The base Entry already implements (and derives from) Editable.

2015-08-22  Murray Cumming  <murrayc@murrayc.com>

	ButtonBox: Remove unnecessary _IMPLEMENTS_INTERFACE().

	The base class already implements (and derives from) Gtk::Orientable.

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	3.17.70

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml files.

2015-08-20  Murray Cumming  <murrayc@murrayc.com>

	Regnerate .defs files.

2015-08-15  Murray Cumming  <murrayc@murrayc.com>

	Update _docs.xml files.

2015-08-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs files.

2015-08-15  Murray Cumming  <murrayc@murrayc.com>

	Update gdk .defs files.

2015-08-12  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with -Wshadow compiler warnings.

	And add this to the warnings used by --enable-warnings=fatal.
	Bug #752469

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove unnecessary _IGNORE()

	* gdk/src/window.hg:
	* gtk/src/<many>.hg: Remove _IGNORE() directives that have become
	unnecessary when the .defs files don't contain information from private.h
	files. gmmproc warns about unnecessary _IGNORE().

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate .defs files without information from private.h

	Regenerated without information from private.h files.
	* gdk/src/gdk_extra_objects.defs:
	* gtk/src/gtk_extra_objects.defs: Add necessary object definitions that
	are no longer written to gdk_methods.defs and gtk_methods.defs.
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs:
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerate without information from
	private.h files.

2015-07-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools/gen_scripts: Don't read private.h files

	* tools/gen_scripts/gdk_generate_enums.sh:
	* tools/gen_scripts/gdk_generate_methods.sh:
	* tools/gen_scripts/gtk_generate_enums.sh:
	* tools/gen_scripts/gtk_generate_methods.sh: Don't collect information
	from header files with names ending in private.h.

2015-07-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::PlacesSidebar: Add set_drop_targets_visible()

	* gtk/src/placessidebar.hg: Add set_drop_targets_visible().
	Update deprecation messages for set/get_show_connect_to_server().

2015-07-23  Daniel Hams  <daniel.hams@gmail.com>

	Add Gtk::GLArea and example to gtkmm-demo.

	Bug #752314

2015-07-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Take advantage of gmmproc's latest docs processing

	* gdk/src/gdk_docs_override.xml: Remove gdk_pixbuf_new_subpixbuf().
	gmmproc now understands that this is a static method.
	* gtk/src/flowbox.hg: Add missing parameter name in signal_child_activated().

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

	3.17.50

2015-07-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::PlacesSidebar: Deprecate and add to bring in synch with gtk+

	* gtk/src/placessidebar.hg:
	Deprecate set/get/signal/property_show_connect_to_server().
	Add set/get/property_show_recent(), set/get/property_show_trash(),
	set/get/signal/property_show_other_locations(), property_populate_all().

2015-07-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate gtk_docs.xml, gtk_*.defs, gtk_signals.defs.patch

2015-07-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gtk_generate_extra_defs.sh: Fix for the patch command, version 2.7.5

	patch 2.7.5 refuses to patch if the command parameters contain directory
	names. Work around by cd-ing to gtk/src.

2015-07-18  Murray Cumming  <murrayc@murrayc.com>

	LevelBar: Document how to workaround the lack of Orientation base class.

	Bug #752568 (Tobias Hoffmann)

2015-07-17  Murray Cumming  <murrayc@murrayc.com>

	C++11: Replace (void*)0 with nullptr.

2015-07-17  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of the override keyword.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use nullptr.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	Add get_titlebar().

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	Window: Ignore the enable-debugging keybinding/action signal.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of auto.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: More use of auto.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: Some use of auto.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: tests/demos: Some use of range-based for loops.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	C++11: Some use of range-based for loops.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	Demos: Fix the build when using -Wshadow.

2015-07-16  Murray Cumming  <murrayc@murrayc.com>

	Popover: Add get/set_default_widget().

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	3.17.41

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Require the latest atkmm and pangomm versions.

	Just to simplify the number of possible combinations of versions
	that we'll have to deal with. It seems easiest is everything switches
	to C++11 at the same time.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Require the latest glibmm.

	For the latest gmmproc.

2015-07-15  Murray Cumming  <murrayc@murrayc.com>

	Use MM_AX_CXX_COMPILE_STDCXX_11() from mm-common.

	Instead of a copy of AX_CXX_COMPILE_STDCXX_11().

2015-07-11  Murray Cumming  <murrayc@murrayc.com>

	Require C++11.

	configure.ac: Use AX_CXX_COMPILE_STDCXX_11 to check for compiler
	support for C++11 and use it (--std=c++11 for current versions of
	g++).

	Among other reasons, this is because glibmm now requires C++11,
	and its gmmrpoc generates C++11 code.

2015-07-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::StyleContext: Deprecate set_background()

2015-07-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Remove pixbuf-demo

	* demos/Makefile.am: Remove pixbuf-demo.
	* demos/pixbuf-demo.cc: Removed file. This stand-alone demo was almost
	identical to the Pixbufs demo included in demos/gtk-demo/gtkmm-demo.

2015-07-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos/README: gtk+2.0 -> gtk+3.0

2015-07-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Replace Icon Theme demo by Icon Browser demo

	* demos/Makefile.am:
	* demos/gtk-demo/demo.gresource.xml:
	* demos/gtk-demo/demos.h: Replace icon theme by icon browser.
	* demos/gtk-demo/example_iconbrowser.cc: New file. It is a C++ equivalent of
	the gtk+/demos/icon-browser demo, with one extra feature: Tooltips in the
	IconView.
	* demos/gtk-demo/example_icontheme.cc: Removed file.

2015-07-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::IconView: Fix a crash in get_tooltip_context_path()

	* gtk/src/iconview.ccg: Don't create a temporary TreeModel::Path object.
	Its GtkTreePath is deleted twice, if gtk_icon_view_get_tooltip_context()
	returns false.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	3.17.4

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	FontChooser: Add get/set_font_map().

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Assistant: Add get/set_page_has_padding().

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Add get/set_passthrough().

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Demo: IconTheme: Don't use deprecated builtin-icon API.

	By the way, there is now a separate icon browser in gtk+'s demos/.
	Maybe we should create a version of that instead. I think this C++
	code never corresponded to anything in the GTK+ demo.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	IconTheme: lookup_icon(), choose_icon(): Add default 0 for flags.

	load_icon() already had it. We had not noticed the need for it until
	now because people always passed ICON_LOOKUP_USE_BUILTIN just in case,
	but that (well, the functions that make it useful) is now deprecated.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs.

2015-06-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerate GDK .defs

2015-06-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Don't disable more deprecation warnings than necessary

	* gdk/src/pixbuf.hg: Don't redefine G_DEPRECATED as an empty string.
	This is unnecessary when deprecated code is surrounded by
	G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS.
	* gdk/src/<some>.hg:
	* gtk/src/<many>.[ccg|hg]: Don't #undef [GDK|GTK]_DISABLE_DEPRECATED
	or #define GDK_DISABLE_DEPRECATION_WARNINGS. This is unnecessary when
	deprecated code is surrounded by G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS.
	Requires glibmm commit c570362cfc1f46e85b66093567a3f925741cb1c2,
	where _WRAP_METHOD() begins using G_GNUC_[BEGIN|END]_IGNORE_DEPRECATIONS.
	Bug #750379.

2015-06-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::IconInfo, Widget: Deprecate API which is deprecated in gtk+

	* gtk/src/iconinfo.hg: Deprecate get_builtin_pixbuf().
	* gtk/src/widget.hg: Deprecate drag_begin() without x,y coordinates.

2015-06-08  Murray Cumming  <murrayc@murrayc.com>

	3.17.3

2015-06-08  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention changes for the next API-adding release.

	So we remember to mention them. These just missed the 3.16.0 release.

2015-06-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Regenerate docs.xml files, including property documentation

	* tools/gen_scripts/gdk_generate_docs.sh:
	* tools/gen_scripts/gtk_generate_docs.sh: Add the --with-properties
	and --no-recursion options to the call to docextract_to_xml.py.
	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerate with property documentation,
	but without traversing uninteresting subdirectories.

2015-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Show data files in extra tabs in the Gtk::Notebook

	* demos/gtk-demo/demowindow.[h|cc]: Add add_data_tabs() and remove_data_tabs().
	This change brings gtkmm's demos more in sync with gtk+.

2015-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Don't distribute demo_resources.c

	* demos/Makefile.am: Don't distribute the built file demo_resources.c.
	It's big, and it's easily rebuilt when glib is available.

2015-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Remove the last traces of the UIManager and stock browser demos

	* demos/gtk-demo/demos.h: Remove obsolete comments.
	* demos/gtk-demo/example_dialog.cc: Change a button label that refers to
	stock icons.
	* demos/gtk-demo/example_menus.cc: Replace Gtk::UIManager by Gtk::Builder
	in the introductory comment.
	* demos/gtk-demo/example_treeview_liststore.cc: Remove a comment that refers
	to the stock browser demo.

2015-05-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Add Builder demo

	* demos/Makefile.am: Add example_builder.cc and example_builder.ui.
	Add the example_*.cc files to the dependency list of demo_resources.c.
	* demos/gtk-demo/demo.gresource.xml: Add example_builder.cc and
	example_builder.ui.
	* demos/gtk-demo/demos.h: Add the builder demo.
	* demos/gtk-demo/example_builder.cc:
	* demos/gtk-demo/example_builder.ui: New files.
	* demos/gtk-demo/example_uimanager.cc: Removed file. This demo was removed
	from demos.h some time ago, when GtkUIManager was deprecated.

2015-05-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Adjustment: Deprecate changed() and value_changed()

	* gtk/src/adjustment.hg: Deprecate changed() and value_changed().
	The corresponding gtk+ functions have been deprecated.

2015-05-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Generate and use resource files

	* .gitignore: Add the generated demo_resources.c file.
	* configure.ac: Add check for C compiler and glib-compile-resources.
	* demos/Makefile.am: Add make rules for the resource file.
	* demos/gtk-demo/demo-common.[h|cc]: Removed files.
	* demos/gtk-demo/demo.gresource.xml: New file.
	* demos/gtk-demo/demowindow.[h|cc]: Remove read_line(). Read source files
	from resources (Gio::Resource).
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/pixbuf-demo.cc: Read images from resources.
	These changes bring gtkmm's demos more in sync with gtk+. Bug #748657.

2015-05-06  Mikhail Titov  <mlt@gmx.us>

	Missing GTKMM_API for CellLayout

	This is used by Gtk::TreeViewColumn in gtkmm demo in particular. Bug #748720.

2015-05-06  Mikhail Titov  <mlt@gmx.us>

	demos: Use getc() if HAVE_GETC_UNLOCKED is not defined

	demos/gtk-demo/demowindow.cc: Calls to getc() were removed by mistake by commit
	6ed01325449fec47457bee741f9c7ec04887c04e. Reinsert them. Bug #748657.

2015-04-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Popover: Wrap the pointing-to property

	* gtk/src/popover.hg: Wrap property_pointing_to() now that the type of the
	gtk+ property has been fixed. See gtk+ bug 723394.

2015-04-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gtk::ModelButton, Gtk::PopoverMenu and enum Gtk::ButtonRole

	* .gitignore: Add new generated files in gtk/gtkmm.
	* gtk/gtkmm.h: Add modelbutton.h and popovermenu.h.
	* gtk/src/filelist.am: Add modelbutton.hg and popovermenu.hg.
	* gtk/src/gtk_signals.defs: Regenerated.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add GTK_TYPE_MODEL_BUTTON and
	GTK_TYPE_POPOVER_MENU.
	* tools/m4/convert_gtk.m4: Add _CONV_ENUM(Gtk,ButtonRole).
	* gtk/src/modelbutton.[hg|ccg]:
	* gtk/src/popovermenu.[hg|ccg]: New files.

2015-03-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::SearchEntry: Add handle_event() and new signals

	* gtk/src/searchbar.hg: Correct the description of the constructor.
	* gtk/src/searchentry.hg: Add handle_event(), signal_next_match(),
	signal_previous_match(), signal_stop_search().

2015-03-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gtk::Scrollable::get_border() and ScrolledWindow::signal_edge_reached()

	* gtk/src/scrollable.hg: Add get_border().
	* gtk/src/scrolledwindow.hg: Add signal_edge_reached().

2015-03-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Actionable: Add keep_return to a _WRAP_VFUNC()

	* gtk/src/actionable.hg: Add keep_return to get_action_name_vfunc().
	The C code that calls this function does not get its own copy of the
	returned string. The called function must store a copy.
	See the glibmm bug #705124.

2015-03-25  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention API additions in 3.16.

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

	3.16.0

2015-03-24  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs files.

2015-03-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Display: Add device_is_grabbed()

	* gdk/src/display.hg: Add device_is_grabbed(). A comment in display.hg
	said that gdk_display_device_is_grabbed() is deprecated. That may be a
	mistake. It's not deprecated now, and it probably never has been.

2015-03-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Window and others: Deprecate API which is deprecated in gtk+

	* gdk/src/display.hg: Deprecate open_default_libgtk_only() and
	supports_composite().
	* gdk/src/window.hg: Deprecate get/set_composited(), set_static_gravities()
	and flush().
	* gtk/src/cellrendererpixbuf.hg: Deprecate property_follow_state().

2015-03-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerate _docs.xml files.

2015-03-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs. No major changes.

2015-03-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Don't get gtkmm-derived GTypes while parsing <columns>

	* gtk/src/builder.[ccg|hg]: Add set_no_gtkmm_derived_types(), to be called
	from Buildable_Class.
	get_type_from_name_vfunc_callback(): Check if Buildable_Class has requested
	that gtkmm-derived types shall not be searched for.
	* gtk/src/buildable.[ccg|hg]: Add Buildable_Class::
	custom_tag_start_vfunc_callback() and custom_tag_end_vfunc_callback().
	Ask the Builder not to search for gtkmm-derived types while a TreeModel
	parses a <columns> element in the XML file. Bug #742637.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	3.15.10

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Popover: Add get/set_transitions_enabled() and the property.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml files.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk defs.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerate GDK .defs.

2015-03-06  Murray Cumming  <murrayc@murrayc.com>

	Stock::PASTE and stock::DELETE: Mention the icon names.

	As in the C API:
	https://git.gnome.org/browse/gtk+/commit/?id=7fbbf850c3be3e3e27c71821193cd64263328271

2015-03-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Icon theme demo: Catch exceptions while loading icons

	* demos/gtk-demo/example_icontheme.cc: Catch exceptions from the call to
	Gtk::IconInfo::load_icon(). It throws a Gdk::PixbufError if an icon file is
	corrupt.

2015-03-05  Murray Cumming  <murrayc@murrayc.com>

	CssProvider::load_from_data(): Document that this throws an exception.

2015-03-04  Murray Cumming  <murrayc@murrayc.com>

	Application: Fix arguements->arguments typos.

2015-03-04  Murray Cumming  <murrayc@murrayc.com>

	Application: Fix constuctor->constructor typo in docs.

2015-03-03  Murray Cumming  <murrayc@murrayc.com>

	Stock: Mention the named icons for Copy, Cut, and Delete.

	As in the C documentation.
	See bug #741969

2015-03-02  Benoît Dejean  <bdejean@gmail.com>

	Gtk::PaperSize: Define the paper name constants in the .cc file

	* gtk/src/papersize.hg: Declare the paper name constants extern.
	* gtk/src/papersize.ccg: Initialize the paper name constants. If they are
	initialized in the header file, they are local to each compilation unit,
	and many copies of them can be included in the executable file. Bug #745345.

2015-03-02  Murray Cumming  <murrayc@murrayc.com>

	Label: Add get/set_xalign/yalign() and properties.

	These are new in GTK+.

2015-02-26  Murray Cumming  <murrayc@murrayc.com>

	3.15.9

2015-02-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix error messages from gmmproc

	* gtk/src/gtk_extra_objects.defs: Add WidgetPath.
	* gtk/src/gtk_methods.defs: Regenerate with the latest version of h2def.py.
	Then gtk_widget_get_requisition() is included.
	* gdk/src/<many files>.hg:
	* gtk/src/<many files>.hg: Avoid "gtkmmproc error" messages in the generated
	files by not _IGNORE()ing non-existent functions. Unnecessary _IGNORE()s
	generate error messages after the fix in bug 737212 was implemented.

2015-02-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Delete obsolete .defs files

	* gdk/src/gdk-types.defs: Deleted, not used.
	* gtk/src/filelist.am:
	* gtk/src/gtk.defs: Remove gtk_other.defs.
	* gtk/src/gtkold.defs: Deleted, not used.
	* gtk/src/gtk_other.defs: Deleted, not needed.

2015-02-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::StackSwitcher: Add unset_stack()

	* gtk/src/stackswitcher.[ccg|hg]: Add unset_stack().

2015-02-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	demos: Add stacksidebar demo
[--snip--]
